#
# spec file for package git-deps
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           git-deps
Version:        1.0.2+git.1559732444.7c75531
Release:        4.6
Summary:        Tool to analyze git deps
License:        GPL-2.0-only
Group:          Development/Tools/Version Control
URL:            https://github.com/aspiers/git-deps
Source:         %{name}-%{version}.tar.xz
Patch0:         dont-use-st-markdown.patch
Patch1:         Fix-issue-with-unbuffered-text-I-O-under-python3.patch
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-pip
BuildRequires:  python3-pygit2
BuildRequires:  python3-setuptools
BuildRequires:  python3-wheel
Requires:       python3-pygit2
# for html subpackage
Requires:       python3-Flask
#Requires:       nodejs-browserify # broken/missing
Requires:       npm
BuildArch:      noarch

%description
Tool to analyze git dependencies

file bugs at https://github.com/aspiers/git-deps/issues

%package html
Summary:        Tool to analyze git deps - HTML parts
Group:          Development/Tools/Version Control

%description html
Documentation for git-deps.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
# https://github.com/aspiers/git-deps/issues/115
sed -i '/six/d' setup.py
python3 -s setup.py build

%install
python3 -s setup.py install -O1 --skip-build --force --root %{buildroot} --prefix %{_prefix}
%python_expand %fdupes %{buildroot}%{python_sitelib}

%files
%{_bindir}/git-deps
%{_bindir}/git-fixup
%{_bindir}/gitfile-handler
%{python_sitelib}/git_deps*
%license LICENSE.txt
%doc AUTHORS.rst CONTRIBUTING.md CHANGES.rst README.md USAGE.md
%doc HISTORY.md USE-CASES.md

%files html
%doc docs

%changelog
* Fri Sep 23 2022 pgajdos@suse.com
- do not require python-six
  https://trello.com/c/MO53MocR/143-remove-python3-six
* Mon Apr 12 2021 Matej Cepl <mcepl@suse.com>
- Fix Requires
* Sat Apr  3 2021 Matej Cepl <mcepl@suse.com>
- Remove single-package spec, this is just a regular application which
  happens to be written in Python, not a Python library.
* Thu Oct 29 2020 Bruce Rogers <brogers@suse.com>
- Fix setup.py to correctly identify the project packages git_deps
  and git_deps/listener. These were not being packaged and as a
  result the git-deps command was simply failing
- Add Fix-issue-with-unbuffered-text-I-O-under-python3.patch,
  which fixes the issue with unbuffered text I/O under python3,
  (gh#aspiers/git-deps#93).
* Mon Jun  1 2020 Matej Cepl <mcepl@suse.com>
- Extend dont-use-st-markdown.patch to include full setup()
  command instead of setup.cfg only.
* Tue Feb 18 2020 mcepl@cepl.eu
- Update to version 1.0.2+git.1559732444.7c75531:
  * add direct links to presentation videos
  * add links to blog and Nashville presentation
  * Fix link in readme to USE-CASES.md
  * Don't crash with commit messages that aren't valid utf-8
  * Use unbuffered IO
  * add Credits section
  * split off use cases to separate file
  * add missing sections to TOC
  * make CONTRIBUTING.md link consistent with others
* Thu Jun  4 2015 bwiedemann@suse.com
- add HTML parts
* Thu Jun  4 2015 bwiedemann@suse.com
- initial package
